IOSS 2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ScopeGuardImpl1< F, P1 > Class Template Reference

`#include <Ioss_ScopeGuard.h>`

Inheritance diagram for ScopeGuardImpl1< F, P1 >:
[legend]
Collaboration diagram for ScopeGuardImpl1< F, P1 >:
[legend]

## Public Member Functions
| ~ScopeGuardImpl1 ()
void | Execute ()
Public Member Functions inherited from ScopeGuardImplBase
| ScopeGuardImplBase ()
void | Dismiss () const

## Static Public Member Functions
static ScopeGuardImpl1< F, P1 > | MakeGuard (F fun, P1 p1)

## Protected Member Functions
| ScopeGuardImpl1 (F fun, P1 p1)
Protected Member Functions inherited from ScopeGuardImplBase
| ~ScopeGuardImplBase ()=default
| ScopeGuardImplBase (const ScopeGuardImplBase &other)

## Protected Attributes
F | fun_
const P1 | p1_
Protected Attributes inherited from ScopeGuardImplBase
bool | dismissed_

## Additional Inherited Members
Static Protected Member Functions inherited from ScopeGuardImplBase
template<typename J >
static void | SafeExecute (J &j)

## Constructor & Destructor Documentation

## ◆ ~ScopeGuardImpl1()

template<typename F , typename P1 >

ScopeGuardImpl1< F, P1 >::~ScopeGuardImpl1 | ( |  | ) |
| inline

## ◆ ScopeGuardImpl1()

template<typename F , typename P1 >

ScopeGuardImpl1< F, P1 >::ScopeGuardImpl1 | ( | F | fun,
|  | P1 | p1
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ Execute()

template<typename F , typename P1 >

void ScopeGuardImpl1< F, P1 >::Execute | ( |  | ) |
| inline

## ◆ MakeGuard()

template<typename F , typename P1 >

static ScopeGuardImpl1<F, P1> ScopeGuardImpl1< F, P1 >::MakeGuard | ( | F | fun,
|  | P1 | p1
| ) |  |
| inlinestatic

## Member Data Documentation

## ◆ fun_

template<typename F , typename P1 >

F ScopeGuardImpl1< F, P1 >::fun_
| protected

## ◆ p1_

template<typename F , typename P1 >

const P1 ScopeGuardImpl1< F, P1 >::p1_
| protected

The documentation for this class was generated from the following file:

- src/Ioss_ScopeGuard.h